Skip to main content
`Ctrl`+`K`

# numpy.char.chararray.mT

attribute

char.chararray.mT

  View of the matrix transposed array.

  The matrix transpose is the transpose of the last two dimensions, even if the array is of higher dimension.

  Added in version 2.0.

  Raises:
    ValueError

      If the array is of dimension less than 2.

  Examples

      >>> import numpy as np
      >>> a = np.array([[1, 2], [3, 4]])
      >>> a
      array([[1, 2],
             [3, 4]])
      >>> a.mT
      array([[1, 3],
             [2, 4]])

      >>> a = np.arange(8).reshape((2, 2, 2))
      >>> a
      array([[[0, 1],
              [2, 3]],

             [[4, 5],
              [6, 7]]])
      >>> a.mT
      array([[[0, 2],
              [1, 3]],

             [[4, 6],
              [5, 7]]])